org.red5.server.net.rtmp.codec

## Class MulticastEventProcessor

- java.lang.Object
- - org.red5.server.net.rtmp.codec.MulticastEventProcessor

    public class MulticastEventProcessor
    extends Object

Processes multicast events.

### Constructor Summary

Constructors
Constructor and Description
`MulticastEventProcessor()`

### Method Summary

Methods
`static IoBuffer[]` `chunkBuffer(IoBuffer buf, int size)` Breaks buffer into chunks of given size.
`void` `disposeCached(Object obj)` Disposes cached object.
`byte` `getCacheId()` Getter for cache ID.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MulticastEventProcessor

    public MulticastEventProcessor()

### Method Detail

#### getCacheId

    public byte getCacheId()

Getter for cache ID.

Returns:
  Cache ID

#### disposeCached

    public void disposeCached(Object obj)

Disposes cached object.

Parameters:
  `obj` - Cached object

#### chunkBuffer

    public static IoBuffer[] chunkBuffer(IoBuffer buf,
                         int size)

Breaks buffer into chunks of given size.

Parameters:
  `buf` - IoBuffer
  `size` - Chunk size
Returns:
  Array of byte buffers, chunks